com.creamtec.ajaxswing.gui

## Class AjaxSwingFontConfiguration

- java.lang.Object
- - sun.awt.FontConfiguration
  - - com.creamtec.ajaxswing.gui.AjaxSwingFontConfiguration

-     public class AjaxSwingFontConfiguration
      extends sun.awt.FontConfiguration

- - ### Field Summary

    - ### Fields inherited from class sun.awt.FontConfiguration

      `verbose`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingFontConfiguration(sun.font.SunFontManager graphicsEnvironment)`
    `AjaxSwingFontConfiguration(sun.font.SunFontManager graphicsEnvironment, boolean flag, boolean flag1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFaceNameFromComponentFontName(java.lang.String s)`
    `java.lang.String` | `getFallbackFamilyName(java.lang.String s, java.lang.String s1)`
    `java.lang.String` | `getTextComponentFontName(java.lang.String s, int i)`

    - ### Methods inherited from class sun.awt.FontConfiguration

      `fontFilesArePresent, foundOsSpecificFile, get2DCompositeFontInfo, getAWTFontPathSet, getExtraFontPath, getFileNameFromPlatformName, getFontDescriptors, getLogicalFontFaceName, getNumberCoreFonts, getPlatformFontNames, getStyleString, getVersion, hasMonoToPropMap, init, isLogicalFontFaceName, isLogicalFontFaceNameLC, isLogicalFontFamilyName, isLogicalFontFamilyNameLC, loadBinary, loadProperties, needToSearchForFile, saveBinary, willReorderForStartupLocale`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxSwingFontConfiguration

          public AjaxSwingFontConfiguration(sun.font.SunFontManager graphicsEnvironment)

    - #### AjaxSwingFontConfiguration

          public AjaxSwingFontConfiguration(sun.font.SunFontManager graphicsEnvironment,
                                    boolean flag,
                                    boolean flag1)

  - ### Method Detail

    - #### getFallbackFamilyName

          public java.lang.String getFallbackFamilyName(java.lang.String s,
                                               java.lang.String s1)

      Specified by:
        `getFallbackFamilyName` in class `sun.awt.FontConfiguration`

    - #### getFaceNameFromComponentFontName

          public java.lang.String getFaceNameFromComponentFontName(java.lang.String s)

      Specified by:
        `getFaceNameFromComponentFontName` in class `sun.awt.FontConfiguration`

    - #### getTextComponentFontName

          public java.lang.String getTextComponentFontName(java.lang.String s,
                                                  int i)

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.